<?PHP
/************************************************************************/
/* NPDS : Net Portal Dynamic System .                                   */
/* ================================                                     */
/*                                                                      */
/* This version name NPDS Copyright (c) 2005 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/*                                                                      */
/************************************************************************/
/************************************************************************/
/* Module-Install                                                       */
/* --------------                                                       */
/*                                                                      */
/* Version 1.1 - 12 Juin 2005                                           */
/* --------------------------                                           */
/*                                                                      */
/* Développé par Boris                                                  */
/*                                                                      */
/* Intégration au coeur de Npds par Boris et Hotfirenet au 15/03/2005   */
/* Corrections et mise aux standard de NPDS par Boris le 12/06/2005     */
/*                                                                      */
/* Installeur inspiré du programme d'installation d'origine du module   */
/* Hot-Projet développé par Hotfirenet                                  */
/*                                                                      */
/* Merci à Philippe B. pour son aide pour intégrer Module-Install.      */
/*                                                                      */
/************************************************************************/

function installer_translate($phrase) {
   switch ($phrase) {
      case "Bonjour et bienvenue dans l'installation automatique du module": $tmp = "Hello and welcome on the automatic installation of the module"; break;
      case "Cliquez sur \"Etape suivante\" pour continuer.": $tmp = "Click on \"Following stage\" to continue."; break;
      case "Retour": $tmp = "Go back"; break;
      case "Etape suivante": $tmp = "Following stage"; break;
      case "L'utilisation de NPDS et des modules est soumise à l'acceptation des termes de la licence GNU/GPL :": $tmp = "The use of NPDS and the modules is submissive with the acceptance of the terms of licence GNU/GPL:"; break;
      case "Accepter": $tmp = "Accept"; break;
      case "Refuser": $tmp = "Refuse"; break;
      case "Les paramètres ont été correctement écrit dans le fichier \"": $tmp = "Parameters are correctly written in the file \""; break;
      case "Les paramètres sont déjà inscrit dans le fichier \"": $tmp = "Parameters are already written in the file \""; break;
      case "Modifier le(s) fichier(s)": $tmp = "Alter the file(s)"; break;
      case "Voici le script SQL :": $tmp = "Here is the SQL script:"; break;
      case "Sauter cette étape": $tmp = "Skip this stage"; break;
      case "Terminer": $tmp = "Finish"; break;
      case "Réessayer avec chmod automatique": $tmp = "Retry with auto chmod"; break;
      case "Configurer MySql (Recommandé)": $tmp = "Configure MySql (Recommended)"; break;
      case "Ce programme d'installation va configurer votre site internet pour utiliser ce module.": $tmp = "This installer is going to configure your web site to use this module."; break;
      case "Le programme d'installation vas maintenant modifier le(s) fichier(s) suivant(s) :": $tmp = "The installer is now going to modify the following file(s) :"; break;
      case "Impossible d'écrire dans le fichier \"": $tmp = "Impossible to write in the file \""; break;
      case "Veuillez éditer ce fichier manuellement ou réessayez en tentant de faire un chmod automatique sur le(s) fichier(s) concernés.": $tmp = "Please edit this file manually or retry by trying to make an automatic chmod on the file(s) concerned."; break;
      case "Voici le code à taper dans le fichier :": $tmp = "Here is the code to type in the file:"; break;
      case "Le programme d'installation vas maintenant exécuter le script SQL pour configurer la base de donnée MySql.": $tmp = "The installer is now going to run the SQL script to configure MySql."; break;
      case "Si vous le souhaitez, vous pouvez exécuter ce script vous même, si vous souhaitez par exemple l'exécuter sur une autre base que celle du site. Dans ce cas, pensez à reparamétrer le fichier de configuration du module.": $tmp = "If you wish it, you can run this script you even, if you wish for example to run it on another base than that of the site. In that case, think of re-setting the file of configuration of the module."; break;
      case "Une erreur est survenue lors de l'exécution du script SQL. Mysql a répondu :": $tmp = "An error arose during the run of the SQL script. Mysql answered:"; break;
      case "Veuillez l'exécuter manuellement via phpMyAdmin.": $tmp = "Please run it manually in phpMyAdmin."; break;
      case "La configuration de la base de donnée MySql a réussie !": $tmp = "The configuration of the MySql database succeeded!"; break;
      case "L'installation automatique du module": $tmp = "The automatic installation of the module"; break;
      case "est terminée !": $tmp = "is ended!"; break;
      case "Fichier de configuration absent. Installation/désinstallation impossible.": $tmp = "Missing configuration file. Impossible installation/uninstallation."; break;
      case "Retour en arrière": $tmp = "Back"; break;
      case "Vous pouvez choisir maintenant de créer automatiquement un(des) bloc(s) à droite ou à gauche. Cliquer sur \"Créer le(s) bloc(s) à gauche\" ou \"Créer le(s) bloc(s) à droite\" selon votre choix. (Vous pourrez changer leurs positions par la suite dans le panneau d'administration --> Blocs)": $tmp = "You can choose now to create automatically one or many blocks to the right or to the left. Click on \"Create (the) block(s) to the left \" or \"Create (the) block(s) to the right\" according to your choice. (You will be able to change their positions thereafter in the panel of administration --> Blocs)"; break;
      case "Si vous préférez créer vous même le(s) bloc(s), cliquez sur 'Sauter cette étape et afficher le code du(des) bloc(s)' pour visualiser le code à taper dans le(s) bloc(s).": $tmp = "If you prefer to create you even (the) block(s), click on 'Jump this stage and display the code of (the) block(s)' to show the code to be typed in (the) block(s)."; break;

      case "Voici la description du(des) bloc(s) qui sera(seront) créé(s) :": $tmp = "Here is the description of (the) block(s) which will be created:"; break;
      case "Créer le(s) bloc(s) à gauche": $tmp = "Create (the) block(s) to the left"; break;      
      case "Créer le(s) bloc(s) à droite": $tmp = "Create (the) block(s) to the right"; break;     
      case "Sauter cette étape et afficher le code du(des) bloc(s)": $tmp = "Jump this stage and display (the) code of the block(s)"; break;    
      case "Une erreur est survenue lors de la configuration du(des) bloc(s). Mysql a répondu :": $tmp = "An error arose during the configuration of (the) block(s). Mysql answered:"; break;
      case "Veuillez configurer manuellement le(s) bloc(s).": $tmp = "Please configure manually the block(s)."; break;     
      case "Voici le code des bloc(s) :": $tmp = "Here is the code of block(s):"; break;
      case "La configuration du(des) bloc(s) a réussie !": $tmp = "The configuration of (the) block(s) succeeded!"; break;
      case "Vous avez choisi de configurer manuellement vos blocs. Voici le contenu de ceux-ci :": $tmp = "You chose to configure manually your blocks. Here is the contents of these:"; break;
      case "Module installé": $tmp = "Module installed"; break;      
      case "Désinstaller le module ": $tmp = "Uninstall the module "; break;     
      case "La désinstallation des modules n'est pas prise en charge de façon automatique à l'heure actuelle.": $tmp = "The desinstallation of the addons is not dealt with automatic of way at the present time."; break;    
      case "Vous devez désinstaller le module manuellement. Pour cela, référez vous au fichier install.txt de l'archive du module, et faites les opérations inverses de celles décrites dans la section \"Installation manuelle\", et en partant de la fin.": $tmp = "You owe to uninstall manually the addon. For that, refer to the file install.txt of the file of the addon, and make the operations opposite of those described in the section \"Installation manual\", and on the basis of the end."; break;      
      case "Enfin, pour pouvoir réinstaller le module par la suite avec Module-Install, cliquez sur le bouton \"Marquer le module comme désinstallé\".": $tmp = "Lastly, to be able to reinstall the addon with Module-Install thereafter, click on the button \"Mark the addon as uninstalled\"."; break;     
      case "Marquer le module comme désinstallé": $tmp = "Mark the addon as uninstalled"; break;      

      default: $tmp = "Need to be translated: <b>[** $phrase **]</b>"; break;
   }
   return $tmp;
}
?>